# berkdb dbremove

`

###

    berkdb dbremove
    	[-env env]
    	[--]
    	file
    	[database]

# Description

Remove the Berkeley DB database specified by the database name file and [database] name arguments. If no database is specified, the physical file represented by file is removed, incidentally removing all databases that it contained.

No reference count of database use is maintained by Berkeley DB. Applications should not remove databases that are currently in use.

The options are as follows:

-env env
  If a -env argument is given, the database in the specified Berkeley DB environment is removed.

--
  Mark the end of the command arguments.

The berkdb dbremove command returns 0 on success, and in the case of error, a Tcl error is thrown.

`

Copyright Sleepycat Software